Subject: Re: bug#3576: 23.0.94; scroll bar scrolls past eob - keeps scrolling

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Jun 2009 21:25:13 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Mon, 15 Jun 2009 20:10:27 -0700
> 
> > Yep.  Emacs 21.4 stops on the last text line, Emacs 22.3 and 23.0.94
> > stop on EOB.
> 
> What do you mean by "stop on EOB"? If end of the buffer is the newline
> immediately following the last line of non-newline chars, then how can showing
> up to a screenful of blank vertical space be considered "stopping at EOB"?

EOB == (point-max)

Emacs 21.4 stops when the last line of the buffer is at the topmost
line of the window.  Emacs 22 and 23 put EOB on the topmost line of
the window.

> Do you mean that it decides that the final newline has as a right to be scrolled
> to the top of the screen? Is that what "stopping at eob" means?
> 
> If this is just an unfortunate result of the way things happen to be currently
> implemented, that's one thing. But I find it hard to believe that this would
> have been a design goal - that someone would start out intentionally to produce
> this behavior. What's the advantage or use case?
> 
> I've never seen this behavior in any other app (though I'm sure you'll come up
> with some other app that has the same behavior). ;-)

I was just stating the fact, not embracing it.

Now, can you please stop shouting at me?  My only sin is that I
confirmed your report.